Subject: Re: bug#43383: 26.3; `toggle-menu-bar-mode-from-frame'

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 Jan 2022 18:29:57 +0100

Eli Zaretskii <[email-masked]> writes:

> I'm not closing the bug, because I think we should make the command
> work according to documentation: toggle the menu bar only on the frame
> from which the command is invoked.  I think it should manipulate the
> menu-bar-lines frame parameter instead of invoking menu-bar mode.

The other similar options here (tool bar, tab bar) in this menu work
across all frames, so I don't think it makes sense to alter how this
command works.  Instead I've adjusted the doc string to reflect how it
works in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no